/*******************************************************************************
 * @(#) $Id: EntityFactory.java 4252 2009-11-02 12:28:30Z michael_clay $
 * 
 * Copyright (c) 2003, 2008 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 * 
 * Created: 20.01.2009 by s5316
 * $Revision: 4252 $
 * Last Change: $Date: 2009-11-02 13:28:30 +0100 (Mon, 02 Nov 2009) $ by $Author: michael_clay $
 *******************************************************************************/
package org.openxma.dsl.platform.dao;

/**
 * Represents a strategy interface with one factory method to create entities 
 * matching a given name.
 */
public interface EntityFactory<T> {
    /**
     * 
     * @param context the context for the object creation
     * @return an instance of the entity matching the given name
     */
    T createEntity(Object context);
}
