package org.openxma.dsl.platform.xma.client.mdl;

import at.spardat.xma.mdl.UIDelegateClient;
import at.spardat.xma.mdl.UIDelegateFactoryClient;
import at.spardat.xma.mdl.WModel;
import at.spardat.xma.mdl.list.ListDomWMClient;
import at.spardat.xma.mdl.list.ListWMClient;
import at.spardat.xma.mdl.paging.PagingUIDelegateClient;
import at.spardat.xma.mdl.paging.PagingWMClient;
import at.spardat.xma.mdl.simple.SimpleWMClient;
import at.spardat.xma.mdl.table.TableUIDelegateClient;
import at.spardat.xma.mdl.table.TableWMClient;
import at.spardat.xma.mdl.tree.TreeUIDelegateClient;
import at.spardat.xma.mdl.tree.TreeWMClient;

public class UIDelegateFactoryClientDsl extends UIDelegateFactoryClient {
	
//    protected UIDelegateFactoryClientDsl() {
//    	super();
//    }	

    public UIDelegateClient newUIDelegateFor(WModel model) {
        if (model instanceof SimpleWMClient) return new SimpleUIDelegateClientDsl((SimpleWMClient)model);
        if (model instanceof ListDomWMClient) return new ListDomUIDelegateClientDsl((ListDomWMClient)model);
        if (model instanceof TableWMClient) return new TableUIDelegateClient((TableWMClient)model);
        if (model instanceof TreeWMClient)  return new TreeUIDelegateClient((TreeWMClient)model);
        if (model instanceof ListWMClient) return new ListUIDelegateClientDsl((ListWMClient)model);
        if (model instanceof PagingWMClient) return new PagingUIDelegateClient((PagingWMClient)model);
        return null;
    }

}
