package org.openxma.dsl.platform.xma.client.table;

import org.eclipse.swt.widgets.Table;

import at.spardat.xma.mdl.table.ITableWMClient;
import at.spardat.xma.mdl.table.TableLayoutManager;

public class TableStateHelper {
	
    private static final String TABLE_STATE_DATA = "tableStateData";
        
    public static TableState getTableState(Table tableWidget, ITableWMClient tableModel, TableLayoutManager tableLayoutManager) {
        TableState tableState = (TableState)tableWidget.getData(TABLE_STATE_DATA);
        if (tableState == null) {
            int[] originalColumnOrder = tableWidget.getColumnOrder();               
            tableState = new TableState(tableLayoutManager,tableWidget,tableModel,originalColumnOrder);
            tableWidget.setData(TABLE_STATE_DATA,tableState);
        }
        tableState.tableWidget = tableWidget;
        tableState.tableModel = tableModel;
        tableState.tableLayoutManager = tableLayoutManager;         
        return tableState;
    }    
}
